import request from '@/utils/request'

// 查询异常报告管理列表
export function listAbnormalreport(query) {
  return request({
    url: '/reliability/abnormalreport/list',
    method: 'get',
    params: query
  })
}

// 查询数量统计
export function yearData(query) {
  return request({
    url: '/reliability/abnormalreport/yearData',
    method: 'get',
    params: query
  })
}

// 查询数量统计
export function teamData(query) {
  return request({
    url: '/reliability/abnormalreport/teamData',
    method: 'get',
    params: query
  })
}

// 查询异常报告管理详细
export function getAbnormalreport(id) {
  return request({
    url: '/reliability/abnormalreport/' + id,
    method: 'get'
  })
}

// 新增异常报告管理
export function addAbnormalreport(data) {
  return request({
    url: '/reliability/abnormalreport',
    method: 'post',
    data: data
  })
}

// 修改异常报告管理
export function updateAbnormalreport(data) {
  return request({
    url: '/reliability/abnormalreport',
    method: 'put',
    data: data
  })
}

// 删除异常报告管理
export function delAbnormalreport(id) {
  return request({
    url: '/reliability/abnormalreport/' + id,
    method: 'delete'
  })
}

// 导出异常报告管理
export function exportAbnormalreport(query) {
  return request({
    url: '/reliability/abnormalreport/export',
    method: 'get',
    params: query
  })
}
